The BOOST_PP_LIMIT_TUPLE macro defines the maximum tuple/array size supported by the library.

#### Usage

BOOST_PP_LIMIT_TUPLE

#### Remarks

This macro expands by default to 64. For a C++ standard conforming preprocessor, the end-user can change this to 128 or 256 by defining this macro to either value before including any library headers. If the end-user changes the value of the macro the BOOST_PP_LIMIT_VARIADIC macro is changed to the same value unless the end-user has changed BOOST_PP_LIMIT_VARIADIC to a higher value.

#### Requirements

Header: <boost/preprocessor/config/limits.hpp>
See also

- Limitations
- BOOST_PP_IS_STANDARD

© Copyright Housemarque Oy 2002
© Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)